<template>
  <div>
    <div class="container extended pt-5">
      <div
        class="h2 d-flex align-items-md-center flex-column flex-md-row align-items-start"
      >
        <div class="text-uppercase">{{ $t('index.magazin.title') }}</div>
        <div class="ml-md-4 font-medium">
          <nuxt-link :to="localePath('magazin')">{{
            $t('index.magzin.viewMore')
          }}</nuxt-link>
        </div>
      </div>
    </div>

    <div
      class="bg-section-gradient section-border-top section-border-bottom p-md-5 pt-4 widget-news"
    >
      <div class="container extended">
        <div class="row">
          <div
            v-for="entry in Magazin"
            :key="entry.id"
            class="col-sm-6 col-xl-3 mb-4 mb-xl-0"
          >
            <div class="aspect-box">
              <div class="aspect-container">
                <magazin-card :entry="entry"></magazin-card>
              </div>
            </div>
          </div>
          <div v-if="!hasMagazin" class="col">
            {{ $t('index.magazin.nomagazin') }}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import MagazinCard from '~/components/cards/magazin-card';
export default {
  components: { MagazinCard },
  data() {return {Magazin:[
    {linkTo:"/magazin/2",imageUrl:"arionasis_2.jpg", title:"magazin.2.title"},
    {linkTo:"/magazin/3",imageUrl:"maupas-bill.jpg", title:"magazin.3.title"},
    {linkTo:"/magazin/4",imageUrl:"ariald_behind_the_scenes_4.png", title:"magazin.4.title"},
    {linkTo:"/magazin/5",imageUrl:"behind_the_scenes_5.png", title:"magazin.5.title"},
    ]}},
  computed: {
    hasMagazin() {
      return this.Magazin.length > 0;
    },
  },
};
</script>
